<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Left Side', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'imgtle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '20 Years of Craftmanship', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'imgtle',
    array(
        'settings'      => 'imgtle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secheading', 'about_area', 'Section Title Color ', '#14193f');


$wp_customize->add_setting(
    'imgtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Work By Category', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'imgtxt',
    array(
        'settings'      => 'imgtxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsbuheading', 'about_area', 'Section Sub Title Color ', '#14193f');

$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image One', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 290X400px', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting(
    'about_image_two',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_two',
        array(
            'settings'      => 'about_image_two',
            'section'       => 'about_area',
            'label'         => __( 'Section Image Two', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image2',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image2',
        array(
            'section' => 'about_area',
            'settings' => 'about_image2',
            'description' => __('Recommended Image Size: 290X400px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_secsimgbrd', 'about_area', 'Section Image Pipe Color ', '#d9d9d9');

addColorPalatOption($wp_customize, 'about_secsimgbrdring', 'about_area', 'Section Image Pipe Ring Color ', '#bcbcbc');

addColorPalatOption($wp_customize, 'about_secsimgbrdwheel', 'about_area', 'Section Image Pipe wheel Color ', '#e63543');


$wp_customize->add_setting(
    'imgyear',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '13', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'imgyear',
    array(
        'settings'      => 'imgyear',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Year', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'EXPERIENCE',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'YEARS EXPERIENCE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'EXPERIENCE',
    array(
        'settings'      => 'EXPERIENCE',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Experience Text', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'about_secsimgTxtbg', 'about_area', 'Section Image Text BG Color ', '#F4B504');

addColorPalatOption($wp_customize, 'about_secsimgTxt', 'about_area', 'Section Image Text Color ', '#fff');

lzCustomLable($wp_customize, 'aboutarea_rightclr', 'about_area', 'Section Right Side');

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Welcome to our website', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_clr', 'about_area', 'Section Title Color ', '#111944');


$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words . which don not look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure .', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#000');


$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Plan ', 'luzuk-premium' ).$i
            )
        )
    );

//lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_area', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-wrench',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='plumber service');

lzAddElement($wp_customize, 'aboutus_page_txt'.$i, 'about_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='There are many variations of passages of Lorem');

}

lzCustomLable($wp_customize, 'Sec_abtclor', 'about_area' , 'About Section Color');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'Section Icon Title Color', '#111944');

addColorPalatOption($wp_customize, 'about_area_pagetxt', 'about_area', 'Section Icon Text Color', '#8b8a8a');

addColorPalatOption($wp_customize, 'about_area_pagebxicn', 'about_area', 'Section Icon Color', '#000');

addColorPalatOption($wp_customize, 'about_area_pagebxicnoddbg', 'about_area', 'Section Icon Odd BG Color', '#f4b505');

addColorPalatOption($wp_customize, 'about_area_pagebxicnevenbg', 'about_area', 'Section Icon Even BG Color', '#d9d9d9');


$wp_customize->add_setting(
    'aboutuscalltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Call for Service', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutuscalltxt',
    array(
        'settings'      => 'aboutuscalltxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Phone Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_phonetxt', 'about_area', 'Section Phone Text Color', '#000');

$wp_customize->add_setting(
    'aboutuscallnumber',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+123456789026', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutuscallnumber',
    array(
        'settings'      => 'aboutuscallnumber',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_phoneNo', 'about_area', 'Section Phone Number Color', '#111944');

addColorPalatOption($wp_customize, 'about_area_phoneNohv', 'about_area', 'Section Phone Number Hover Color', '#f4b505');